/**
 * The FullScreenMsg component is used to display important messages that must be the focus
 * of the user in a particular screen in a particular moment. It's simply a full width and height modal
 * that overlaps everything. It can contain a loading dialog, a video, or simply a message.
 */

/**
 * General
 */
.full-screen-msg {
    display: block;
    position: fixed;
    left: 0px;
    z-index: 1000;
    width: 100%;
    height: 100%;
    overflow-y:hidden;
    overflow-x:hidden;
    background: rgba(255, 255, 255, 0.9);
    
    animation-name: present-full-screen-msg;
    animation-duration: 1000ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: present-full-screen-msg;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: present-full-screen-msg;
    -moz-animation-duration: 1000ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: present-full-screen-msg;
    -ms-animation-duration: 1000ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}
.full-screen-msg.dismissed {
    animation-name: dismiss-full-screen-msg;
    animation-duration: 800ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: dismiss-full-screen-msg;
    -webkit-animation-duration: 800ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: dismiss-full-screen-msg;
    -moz-animation-duration: 800ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: dismiss-full-screen-msg;
    -ms-animation-duration: 800ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}
.full-screen-msg.hidden {
    display:none;
}
.full-screen-msg.visible {
    display:block;
}
.full-screen-msg .fsm-header,
.full-screen-msg .fsm-footer {
    display: block;
    position: relative;
    left: 0px;
    top:0px;
    width:calc(var(--vw, 1vw) * 100);
}

/**
 * Present full screen msg
 */
@keyframes present-full-screen-msg {
    0% {
        top:-150%;
    }
    70% {
        top:10%;
    }
    100% {
        top:0%;
    }
}
@-moz-keyframes present-full-screen-msg {
    0% {
        top:-150%;
    }
    70% {
        top:10%;
    }
    100% {
        top:0%;
    }
}
@-webkit-keyframes present-full-screen-msg {
    0% {
        top:-150%;
    }
    70% {
        top:10%;
    }
    100% {
        top:0%;
    }
}

/**
 * Dismiss full screen msg
 */
 @keyframes dismiss-full-screen-msg {
    0% {
        top:0%;
    }
    30% {
        top:10%;
    }
    100% {
        top:-150%;
    }
}
@-moz-keyframes dismiss-full-screen-msg {
    0% {
        top:0%;
    }
    30% {
        top:10%;
    }
    100% {
        top:-150%;
    }
}
@-webkit-keyframes dismiss-full-screen-msg {
    0% {
        top:0%;
    }
    30% {
        top:10%;
    }
    100% {
        top:-150%;
    }
}

@media(max-width:767px) {

    .full-screen-msg {
        overflow-y:auto;
    }

}

/**
 * Header
 */
.full-screen-msg .fsm-header {
    height:100px;
    background-color:#ffffff;
}
.full-screen-msg .fsm-header h1, 
.full-screen-msg .fsm-header h2, 
.full-screen-msg .fsm-header h3 {
    display: inline-block;
    position: relative;
    left: 20px;
    top: 20px;
    width:70%;
    margin-top: 0px;
    margin-bottom: 0px;
    padding: 10px;
    font-size:calc(var(--vw, 1vw) * 2.2);
}

@media(max-width:1200px) {
    .full-screen-msg .fsm-header h1, 
    .full-screen-msg .fsm-header h2, 
    .full-screen-msg .fsm-header h3 {
        font-size:calc(var(--vw, 1vw) * 3.2);
    }
}
@media(max-width:767px) {
    .full-screen-msg .fsm-header h1, 
    .full-screen-msg .fsm-header h2, 
    .full-screen-msg .fsm-header h3 {
        top:17px;
        font-size:calc(var(--vw, 1vw) * 3.6);
    }

    .full-screen-msg .fsm-header span, 
    .full-screen-msg .fsm-header span:hover { 
        right:15px;
    }
}
@media(max-width:500px) {
    .full-screen-msg .fsm-header h1, 
    .full-screen-msg .fsm-header h2, 
    .full-screen-msg .fsm-header h3 {
        top:20px;
        font-size:calc(var(--vw, 1vw) * 3.9);
    }

    .full-screen-msg .fsm-header span, 
    .full-screen-msg .fsm-header span:hover { 
        right:15px;
    }
}
@media(max-width:400px) {
    .full-screen-msg .fsm-header h1, 
    .full-screen-msg .fsm-header h2, 
    .full-screen-msg .fsm-header h3 {
        top:25px;
        font-size:calc(var(--vw, 1vw) * 4.3);
    }

    .full-screen-msg .fsm-header span, 
    .full-screen-msg .fsm-header span:hover { 
        right:15px;
    }
}

/**
 * Body
 */
.full-screen-msg .fsm-body,
.full-screen-msg .fsm-body.no-footer,
.full-screen-msg .fsm-body.no-header {
    display: table;
    width: calc(var(--vw, 1vw) * 100);
    border: 1px solid #e6e6e6;
}
.full-screen-msg .fsm-body {
    height: calc(100% - 200px);
}
.full-screen-msg .fsm-body.no-header,
.full-screen-msg .fsm-body.no-footer {
    height: calc(100% - 100px);
}
.full-screen-msg .fsm-body.no-footer.no-header {
    height: 100%;
}
.full-screen-msg .fsm-body.center {
    text-align: center;
}
.full-screen-msg p {
    font-weight: 500;
}
.full-screen-msg .fsm-body .msg-container {
    display:table-cell;
    vertical-align: middle;
    margin-left:50px;
    margin-right:50px;
}
.full-screen-msg .fsm-body .fsm-title {
    display: block;
    color: #000000;
    font-weight: 600;
}
.full-screen-msg .fsm-body .fsm-msg,
.full-screen-msg .fsm-body .fsm-extra-info {
    display: block;
    width: 70%;
    margin-left: 15%;
    margin-top:30px;
}
.full-screen-msg .fsm-body .fsm-msg p {
    font-size: 20px;
}
.full-screen-msg .fsm-body .fsm-extra-info p {
    font-size:17px;
    color:#3388cc;
    font-weight: 600;
}

@media(max-width:767px) {

    .full-screen-msg .fsm-body.no-footer.no-header {
        overflow: auto;
    }

    .full-screen-msg .fsm-body .fsm-title {
        font-size: 25px;
    }

    .full-screen-msg .fsm-body .fsm-msg, 
    .full-screen-msg .fsm-body .fsm-extra-info {
        margin-top: 15px;
    }

    .full-screen-msg .fsm-body .fsm-msg p {
        font-size: 17px;
    }

}

/**
 * Image message
 */
.full-screen-msg .fsm-body .fsm-img-msg-container {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    max-width: calc(var(--vw, 1vw) * 35);
    margin: auto;
}
.full-screen-msg .fsm-body .fsm-img-msg-container .fsm-img-msg {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height:auto;
}

@media(max-width:767px) {
    
    .full-screen-msg .fsm-body .fsm-img-msg-container {
        max-width: calc(var(--vw, 1vw) * 95);
    }

}

/**
 * Message ico
 */
.full-screen-msg .msg-container .fsm-msg-ico {
    margin-top:30px;
    margin-bottom:30px;
}

/**
 * Btn close
 */
.full-screen-msg .fsm-header .btn-close, 
.full-screen-msg .fsm-header .btn-close:hover,
.full-screen-msg .fsm-body.no-header .btn-close,
.full-screen-msg .fsm-body.no-header .btn-close:hover {
   display: inline-block;
   position: absolute;
   right: 35px;
   top: 18px;
   padding-left: 15px;
   padding-right: 15px;
   padding-top: 10px;
   padding-bottom: 10px;
}

.full-screen-msg .fsm-header .btn-close, 
.full-screen-msg .fsm-body.no-header .btn-close {
   background-color: transparent;
   border: 1px solid transparent;
   border-radius: 3px;
   font-size:30px;
}

.full-screen-msg .fsm-header .btn-close:hover,
.full-screen-msg .fsm-body.no-header .btn-close:hover {
   background-color: #fafafa;
   border: 1px solid #eaeaea;
   border-radius: 3px;
   font-size:35px;
}

/**
 * Btn start
 */
.full-screen-msg .fsm-header .btn-start,
.full-screen-msg .fsm-body .btn-start,
.full-screen-msg .fsm-footer .btn-start {
   position:relative;
   width:50px;
   height:50px;
   margin-top:30px;
   margin-left:0px;
   border-radius:50px;
   color:#333333;
}
.full-screen-msg .fsm-header .btn-start,
.full-screen-msg .fsm-body .btn-start,
.full-screen-msg .fsm-footer .btn-start {
   animation-name: normalize-btn-start;
   animation-duration: 100ms;
   animation-fill-mode: forwards;

   -webkit-animation-name: normalize-btn-start;
   -webkit-animation-duration: 100ms;
   -webkit-animation-fill-mode: forwards;
 
   -moz-animation-name: normalize-btn-start;
   -moz-animation-duration: 100ms;
   -moz-animation-fill-mode: forwards;
  
   -ms-animation-name: normalize-btn-start;
   -ms-animation-duration: 100ms;
   -ms-animation-fill-mode: forwards;
}
.full-screen-msg .fsm-header .btn-start:hover,
.full-screen-msg .fsm-body .btn-start:hover,
.full-screen-msg .fsm-body .btn-start.hovered,
.full-screen-msg .fsm-footer .btn-start:hover {
   animation-name: hover-btn-start;
   animation-duration: 200ms;
   animation-fill-mode: forwards;
 
   -webkit-animation-name: hover-btn-start;
   -webkit-animation-duration: 200ms;
   -webkit-animation-fill-mode: forwards;
  
   -moz-animation-name: hover-btn-start;
   -moz-animation-duration: 200ms;
   -moz-animation-fill-mode: forwards;
   
   -ms-animation-name: hover-btn-start;
   -ms-animation-duration: 200ms;
   -ms-animation-fill-mode: forwards;
}

.full-screen-msg .fsm-header .btn-start img,
.full-screen-msg .fsm-body .btn-start img,
.full-screen-msg .fsm-footer .btn-start img {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:20px;
    height:20px;
}

@media(max-width:767px) {

    .full-screen-msg .fsm-header .btn-start, 
    .full-screen-msg .fsm-body .btn-start, 
    .full-screen-msg .fsm-footer .btn-start {
        margin-top: 5px;
    }
    
}

/**
 * Normalize btn start
 */
@keyframes normalize-btn-start {
   from {
       width:75px;
       height:75px;
       margin-left: 0px;
       padding-top:20px;
       padding-left:25px;
       font-size:23px
   }
   to {
       width:50px;
       height:50px;
       padding-top:15px;
       padding-left:15px;
       background-color:#f0f0f0;
       border:1px solid #d0d0d0;
       font-size:15px;
   }
}
@-moz-keyframes normalize-btn-start {
    from {
        width:75px;
        height:75px;
        margin-left: 0px;
        padding-top:20px;
        padding-left:25px;
        font-size:23px
    }
    to {
        width:50px;
        height:50px;
        padding-top:15px;
        padding-left:15px;
        background-color:#f0f0f0;
        border:1px solid #d0d0d0;
        font-size:15px;
    }
}
@-webkit-keyframes normalize-btn-start {
    from {
        width:75px;
        height:75px;
        margin-left: 0px;
        padding-top:20px;
        padding-left:25px;
        font-size:23px
    }
    to {
        width:50px;
        height:50px;
        padding-top:15px;
        padding-left:15px;
        background-color:#f0f0f0;
        border:1px solid #d0d0d0;
        font-size:15px;
    }
}

/**
 * Hover btn start
 */
@keyframes hover-btn-start {
   from {
      width:50px;
      height:50px;
      padding-top:15px;
      padding-left:15px;
      background-color:#f0f0f0;
      border:1px solid #d0d0d0;
      font-size:15px;
   }
   to {
      width:75px;
      height:75px;
      margin-left: 0px;
      padding-top:25px;
      padding-left:28px;
      background-color:#eceaea;
      border:1px solid #c4c4c4;
      color:#ffffff;
      font-size:23px;
   }
}
@-moz-keyframes hover-btn-start {
   from {
      width:50px;
      height:50px;
      padding-top:15px;
      padding-left:15px;
      background-color:#f0f0f0;
      border:1px solid #d0d0d0;
      font-size:15px;
   }
   to {
      width:75px;
      height:75px;
      margin-left: 0px;
      padding-top:25px;
      padding-left:28px;
      background-color:#eceaea;
      border:1px solid #c4c4c4;
      color:#ffffff;
      font-size:23px;
   }
}
@-webkit-keyframes hover-btn-start {
   from {
      width:50px;
      height:50px;
      padding-top:15px;
      padding-left:15px;
      background-color:#f0f0f0;
      border:1px solid #d0d0d0;
      font-size:15px;
   }
   to {
      width:75px;
      height:75px;
      margin-left: 0px;
      padding-top:25px;
      padding-left:28px;
      background-color:#eceaea;
      border:1px solid #c4c4c4;
      color:#ffffff;
      font-size:23px;  
   }
}
 
/**
 * Footer
 */
.full-screen-msg .fsm-footer {
    height:100px;
    background-color:#ffffff;
}

/**
 * Toolbox
 */
.fsm-toolbox {
    display:block;
    position: absolute;
    right: 55px;
    top: 35px;
    width: auto;
    float: right;
}
.fsm-footer .fsm-toolbox .fsm-btn-cancel {
    color:#000000;
}
.fsm-footer .fsm-toolbox .fsm-btn-confirm {
    color:#ffffff;
}
